<?php
/**
 * Joomla! 1.5 component allarticleannounce
 *
 * @version $Id: allarticleannounce.php 2009-10-18 20:32:30 svn $
 * @author David Han
 * @package Joomla
 * @subpackage allarticleannounce
 * @license GNU/GPL
 *
 * control component for plugin AllArticleAnnounce
 *
 * This component file was created using the Joomla Component Creator by Not Web Design
 * http://www.notwebdesign.com/joomla_component_creator/
 *
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

// Include library dependencies
jimport('joomla.filter.input');

/**
* Table class
*
* @package          Joomla
* @subpackage		allarticleannounce
*/
class TableItem extends JTable {

	/**
	 * Primary Key
	 *
	 * @var int
	 */
	var $id = null;


    /**
	 * Constructor
	 *
	 * @param object Database connector object
	 * @since 1.0
	 */
	function __construct(& $db) {
		parent::__construct('#__allarticleannounce', 'id', $db);
	}

	/**
	 * Overloaded check method to ensure data integrity
	 *
	 * @access public
	 * @return boolean True on success
	 */
	function check() {
		return true;
	}

}
?>